Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 362637 - media-gfx/graphicsmagick-1.3.12 fails with libpng-1.5
Summary: media-gfx/graphicsmagick-1.3.12 fails with libpng-1.5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-04-08 17:03 UTC by Christoph Mende (RETIRED)
Modified: 2011-08-07 17:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,246.63 KB, text/plain)
2011-04-08 17:03 UTC, Christoph Mende (RETIRED)
Details
Upstream patches to build with libpng 1.5 (graphicsmagick-1.3.12-png15.patch,75.88 KB, patch)
2011-07-14 17:43 UTC, Jonathan Callen (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Mende (RETIRED) gentoo-dev 2011-04-08 17:03:59 UTC
Created attachment 269047 [details]
build.log

similar problem as in bug 355047, not sure if the fix is also similar
Comment 1 Jonathan Callen (RETIRED) gentoo-dev 2011-07-14 17:43:47 UTC
Created attachment 280065 [details, diff]
Upstream patches to build with libpng 1.5

This patch merges a number of upstream commits that add libpng 1.5 support.
Comment 2 Samuli Suominen gentoo-dev 2011-08-07 17:46:22 UTC
Applied with revision bump since it's so large patch I don't want to break stable by accident.

+*graphicsmagick-1.3.12-r1 (07 Aug 2011)
+
+  07 Aug 2011; Samuli Suominen <ssuominen@gentoo.org>
+  +graphicsmagick-1.3.12-r1.ebuild,
+  +files/graphicsmagick-1.3.12-libpng15.patch:
+  Fix compability with libpng15 wrt #362637 by Jonathan Callen